// (C) Copyright 2015 Martin Dougiamas
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

import { Component, Input, EventEmitter } from '@angular/core';

/**
 * Component to render the deferred CBM in a question.
 */
@Component({
    selector: 'addon-qbehaviour-deferredcbm',
    templateUrl: 'deferredcbm.html'
})
export class AddonQbehaviourDeferredCBMComponent {
    @Input() question: any; // The question.
    @Input() component: string; // The component the question belongs to.
    @Input() componentId: number; // ID of the component the question belongs to.
    @Input() attemptId: number; // Attempt ID.
    @Input() offlineEnabled?: boolean | string; // Whether the question can be answered in offline.
    @Input() buttonClicked: EventEmitter<any>; // Should emit an event when a behaviour button is clicked.
    @Input() onAbort: EventEmitter<void>; // Should emit an event if the question should be aborted.

    constructor() {
        // Nothing to do.
    }
}
